using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class ActiveStatusController : Controller
    {
        private readonly RestaurantDbContext _db;

        public ActiveStatusController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.Actives.ToList();
            ViewBag.activedatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<Active> value)
        {
            _db.Actives.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<Active> value)
        {
            var active = value.Value;
            var val = _db.Actives.FirstOrDefault(rt => rt.ActiveId == active.ActiveId);
            val.ActiveId = active.ActiveId;
            val.ActiveName = active.ActiveName;
            val.ActiveDescription = active.ActiveDescription;
            _db.Actives.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<Active> value)
        {
            _db.Actives.Remove(_db.Actives.FirstOrDefault(st => st.ActiveId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}