using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class BrandController : Controller
    {
        private readonly RestaurantDbContext _db;

        public BrandController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.Brands.ToList();
            ViewBag.branddatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<Brand> value)
        {
            _db.Brands.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<Brand> value)
        {
            var brand = value.Value;
            var val = _db.Brands.FirstOrDefault(rt => rt.BrandId == brand.BrandId);
            val.BrandId = brand.BrandId;
            val.BrandName = brand.BrandName;
            val.BrandDescription = brand.BrandDescription;
            _db.Brands.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<Brand> value)
        {
            _db.Brands.Remove(_db.Brands.FirstOrDefault(st => st.BrandId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}