using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class CategoryController : Controller
    {
        private readonly RestaurantDbContext _db;

        public CategoryController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.Catergories.ToList();
            ViewBag.categorydatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<Category> value)
        {
            _db.Catergories.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<Category> value)
        {
            var category = value.Value;
            var val = _db.Catergories.FirstOrDefault(rt => rt.CategoryId == category.CategoryId);
            val.CategoryId = category.CategoryId;
            val.CategoryName = category.CategoryName;
            val.CategoryDescription = category.CategoryDescription;
            _db.Catergories.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<Category> value)
        {
            _db.Catergories.Remove(
                _db.Catergories.FirstOrDefault(st => st.CategoryId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}