using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class DepartmentController : Controller
    {
        private readonly RestaurantDbContext _db;

        public DepartmentController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.Departments.ToList();
            ViewBag.departmentdatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<Department> value)
        {
            _db.Departments.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<Department> value)
        {
            var department = value.Value;
            var val = _db.Departments.FirstOrDefault(rt => rt.DepartmentId == department.DepartmentId);
            val.DepartmentId = department.DepartmentId;
            val.DepartmentName = department.DepartmentName;
            val.DepartmentDescription = department.DepartmentDescription;
            _db.Departments.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<Department> value)
        {
            _db.Departments.Remove(
                _db.Departments.FirstOrDefault(st => st.DepartmentId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}