using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class GLClassificationController : Controller
    {
        private readonly RestaurantDbContext _db;

        public GLClassificationController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.GlClassifications.ToList();
            ViewBag.glclassificationdatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<GlClassification> value)
        {
            _db.GlClassifications.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<GlClassification> value)
        {
            var classification = value.Value;
            var val = _db.GlClassifications.FirstOrDefault(
                rt => rt.GlClassificationId == classification.GlClassificationId);
            val.GlClassificationName = classification.GlClassificationName;
            _db.GlClassifications.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<GlClassification> value)
        {
            _db.GlClassifications.Remove(
                _db.GlClassifications.FirstOrDefault(st => st.GlClassificationId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}