using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class GLItemController : Controller
    {
        private readonly RestaurantDbContext _db;

        public GLItemController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.GlItems.ToList();
            ViewBag.glitemdatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<GlItem> value)
        {
            _db.GlItems.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<GlItem> value)
        {
            var item = value.Value;
            var val = _db.GlItems.FirstOrDefault(rt => rt.GlItemId == item.GlItemId);
            val.GlItemId = item.GlItemId;
            val.GlItemName = item.GlItemName;
            _db.GlItems.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<GlItem> value)
        {
            _db.GlItems.Remove(_db.GlItems.FirstOrDefault(st => st.GlItemId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}