using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class GLTypeController : Controller
    {
        private readonly RestaurantDbContext _db;

        public GLTypeController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.GlTypes.ToList();
            ViewBag.gltypedatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<GlType> value)
        {
            _db.GlTypes.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<GlType> value)
        {
            var type = value.Value;
            var val = _db.GlTypes.FirstOrDefault(rt => rt.GlTypeId == type.GlTypeId);
            val.GlTypeId = type.GlTypeId;
            val.Name = type.Name;
            _db.GlTypes.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<GlType> value)
        {
            _db.GlTypes.Remove(_db.GlTypes.FirstOrDefault(st => st.GlTypeId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}