using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class GeneralLedgerController : Controller
    {
        private readonly RestaurantDbContext _db;

        public GeneralLedgerController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.GlAccounts.ToList();
            ViewBag.generalledgerdatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<GlAccount> value)
        {
            var gl = value.Value;
            gl.GlAccountName = gl.GlAccountNameOne + "-" + gl.GlAccountNameTwo + "-" + gl.GlAccountNameThree;
            value.Value.GlAccountName = gl.GlAccountName;
            _db.GlAccounts.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<GlAccount> value)
        {
            var glAccount = value.Value;
            var val = _db.GlAccounts.FirstOrDefault(rt => rt.GlAccountId == glAccount.GlAccountId);
            val.GlAccountId = glAccount.GlAccountId;
            val.GlAccountNameOne = glAccount.GlAccountNameOne;
            val.GlAccountNameTwo = glAccount.GlAccountNameTwo;
            val.GlAccountNameThree = glAccount.GlAccountNameThree;
            val.GlAccountName = glAccount.GlAccountNameOne + "-" + glAccount.GlAccountNameTwo + "-" +
                                glAccount.GlAccountNameThree;
            _db.GlAccounts.Update(val);
            _db.SaveChanges();

            return Json(val);
        }

        public ActionResult Delete([FromBody] CRUDModel<GlAccount> value)
        {
            _db.GlAccounts.Remove(
                _db.GlAccounts.FirstOrDefault(st => st.GlAccountId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}