using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class PosController : Controller
    {
        private readonly RestaurantDbContext _db;

        public PosController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.Poses.ToList();
            ViewBag.posdatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<Pos> value)
        {
            _db.Poses.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<Pos> value)
        {
            var pos = value.Value;
            var val = _db.Poses.FirstOrDefault(rt => rt.PosId == pos.PosId);
            val.PosId = pos.PosId;
            val.PosName = pos.PosName;
            val.PosDescription = pos.PosDescription;
            _db.Poses.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<Pos> value)
        {
            _db.Poses.Remove(_db.Poses.FirstOrDefault(st => st.PosId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}