using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class ProductController : Controller
    {
        private readonly RestaurantDbContext _db;

        public ProductController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.Products.ToList();
            ViewBag.productdatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<Product> value)
        {
            _db.Products.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<Product> value)
        {
            var product = value.Value;
            var val = _db.Products.FirstOrDefault(rt => rt.ProductId == product.ProductId);
            val.ProductId = product.ProductId;
            val.ProductName = product.ProductName;
            val.ProductDescription = product.ProductDescription;
            _db.Products.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<Product> value)
        {
            _db.Products.Remove(_db.Products.FirstOrDefault(st => st.ProductId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}