using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class RatioController : Controller
    {
        private readonly RestaurantDbContext _db;

        public RatioController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.Ratios.ToList();
            ViewBag.ratiodatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<Ratio> value)
        {
            _db.Ratios.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<Ratio> value)
        {
            var ratio = value.Value;
            var val = _db.Ratios.FirstOrDefault(rt => rt.RatioId == ratio.RatioId);
            val.RatioId = ratio.RatioId;
            val.RatioName = ratio.RatioName;
            val.Value = ratio.Value;
            _db.Ratios.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<Ratio> value)
        {
            _db.Ratios.Remove(_db.Ratios.FirstOrDefault(st => st.RatioId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}