using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class StockBinController : Controller
    {
        private readonly RestaurantDbContext _db;

        public StockBinController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.StockBins.ToList();
            ViewBag.stocvkbindatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<StockBin> value)
        {
            _db.StockBins.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<StockBin> value)
        {
            var stockbin = value.Value;
            var val = _db.StockBins.FirstOrDefault(rt => rt.StockBinId == stockbin.StockBinId);
            val.StockBinId = stockbin.StockBinId;
            val.StockBinName = stockbin.StockBinName;
            val.StockBinDescription = stockbin.StockBinDescription;
            _db.StockBins.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<StockBin> value)
        {
            _db.StockBins.Remove(_db.StockBins.FirstOrDefault(st => st.StockBinId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}