using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class StockLocationController : Controller
    {
        private readonly RestaurantDbContext _db;

        public StockLocationController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.StockLocations.ToList();
            ViewBag.stocklocationdatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<StockLocation> value)
        {
            _db.StockLocations.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<StockLocation> value)
        {
            var stocklocation = value.Value;
            var val = _db.StockLocations.FirstOrDefault(rt => rt.StockLocationId == stocklocation.StockLocationId);
            val.StockLocationId = stocklocation.StockLocationId;
            val.StockLocationName = stocklocation.StockLocationName;
            val.StockLocationDescription = stocklocation.StockLocationDescription;
            _db.StockLocations.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<StockLocation> value)
        {
            _db.StockLocations.Remove(
                _db.StockLocations.FirstOrDefault(st => st.StockLocationId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}