using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Restaurant.DataContext;
using Restaurant.Entities;
using Syncfusion.JavaScript;

namespace Restaurant.Controllers
{
    public class SubCategoryController : Controller
    {
        private readonly RestaurantDbContext _db;

        public SubCategoryController(RestaurantDbContext db)
        {
            _db = db;
        }

        public ActionResult Index()
        {
            var datasource = _db.SubCategories.ToList();
            ViewBag.subcategorydatasource = datasource.ToList();
            return View();
        }

        public ActionResult Insert([FromBody] CRUDModel<SubCategory> value)
        {
            _db.SubCategories.Add(value.Value);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Update([FromBody] CRUDModel<SubCategory> value)
        {
            var subcategory = value.Value;
            var val = _db.SubCategories.FirstOrDefault(rt => rt.SubCategoryId == subcategory.SubCategoryId);
            val.SubCategoryId = subcategory.SubCategoryId;
            val.SubCategoryName = subcategory.SubCategoryName;
            val.SubCategoryDescription = subcategory.SubCategoryDescription;
            _db.SubCategories.Update(val);
            _db.SaveChanges();
            return Json(value.Value);
        }

        public ActionResult Delete([FromBody] CRUDModel<SubCategory> value)
        {
            _db.SubCategories.Remove(
                _db.SubCategories.FirstOrDefault(st => st.SubCategoryId == int.Parse(value.Key.ToString())));
            _db.SaveChanges();
            return Json(value.Value);
        }
    }
}