﻿using Microsoft.EntityFrameworkCore;
using Restaurant.Entities;

namespace Restaurant.DataContext
{
    public class RestaurantDbContext : DbContext
    {
        public RestaurantDbContext(DbContextOptions<RestaurantDbContext> myoption):base(myoption)
        {
        }

        public DbSet<Brand> Brands { get; set; }
        public DbSet<Product> Products { get; set; }
        public DbSet<Active> Actives { get; set; }
        public DbSet<Category> Catergories { get; set; }
        public DbSet<GlAccount> GlAccounts { get; set; }
        public DbSet<Pos> Poses { get; set; }
        public DbSet<PurchaseBulkUnit> PurchaseBulkUnits { get; set; }
        public DbSet<Ratio> Ratios { get; set; }
        public DbSet<RecipeSellUnit> RecipeSellUnits { get; set; }
        public DbSet<Stock> Stocks { get; set; }
        public DbSet<StockBin> StockBins { get; set; }
        public DbSet<StockLocation> StockLocations { get; set; }
        public DbSet<StockTakeName> StockTakeNames { get; set; }
        public DbSet<SubCategory> SubCategories { get; set; }
        public DbSet<Department> Departments { get; set; }
        public DbSet<GlType> GlTypes { get; set; }
        public DbSet<GlClassification> GlClassifications { get; set; }
        public DbSet<GlItem> GlItems { get; set; }
    }
}
